{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "project_emc:tome"
    },
    "key": {
      "x": {
        "item": "diamond"
      },
      "l":{
        "item": "book"
      },
      "d":{
        "item": "redstone"
      },
      "s":{
        "item": "glowstone_dust"
      },
      "t":{
        "item": "lapis_lazuli"
      }
    },
    "pattern": [
      "xlt",
      "sd"
    ],
    "unlock": [
      {
        "item": "diamond"
      }
    ],
    "tags": ["crafting_table"],
    "result": [
      {
        "item": "project_emc:tome"
      }
    ]
  }
}